Package org.apache.sling.jcr.contentloader

# Interface ContentReader

All Known Implementing Classes:
  `JsonReader`, `OrderedJsonReader`, `XmlReader`, `ZipReader`

@ConsumerType public interface ContentReader
The `ContentReader`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`PROPERTY_EXTENSIONS`
`static final String`
`PROPERTY_TYPES`

## Method Summary

Modifier and Type
Method
Description
`void`
`parse(InputStream ins, ContentCreator contentCreator)`
Read the content from the input stream and create the content using the provided content creator.
`void`
`parse(URL url, ContentCreator creator)`
Read the content from the URL and create the content using the provided content creator.

## Field Details

### PROPERTY_EXTENSIONS

static final String PROPERTY_EXTENSIONS

See Also:
  - Constant Field Values

### PROPERTY_TYPES

static final String PROPERTY_TYPES

See Also:
  - Constant Field Values

## Method Details

### parse

void parse(URL url, ContentCreator creator) throws IOException, javax.jcr.RepositoryException
Read the content from the URL and create the content using the provided content creator.

Parameters:
  `url` - The input stream.
Throws:
  `IOException` - If anything goes wrong.
  `javax.jcr.RepositoryException`

### parse

void parse(InputStream ins, ContentCreator contentCreator) throws IOException, javax.jcr.RepositoryException
Read the content from the input stream and create the content using the provided content creator.

Parameters:
  `ins` - the input stream.
Throws:
  `IOException` - If anything goes wrong.
  `javax.jcr.RepositoryException`